package MpmasCropCharacteristicsInfo;

use strict;
use warnings;
use Exporter;
use Storable qw(dclone);
use Data::Dumper;
use CtUtilities qw(queryhash extqueryhash);
use MpmasInputfile;
use MpmasInputBlock;
our @ISA = qw(MpmasInputfile);

sub filename {
	my $self = shift;
	return "CropCharacteristicsInfo";
}

sub required {
	my $self = shift;
	return 1 if ($self->get_cfg_list_empty_ok("EXTRA_CROPACT_CHARACTERISTICS") );
	return 0;
}


sub prepare_shared {



}

sub prepare_special {
	
		my ($self) = @_;
		my $extraBlock = MpmasInputBlock->new(3, 10);
		$extraBlock->add_row("","","", "LayerNo","LayerInfo");

		for my $i ($self->get_cfg_list_empty_ok("EXTRA_CROPACT_CHARACTERISTICS")) {
			$extraBlock->add_row("","","", $self->get_id_of_cropact_attribute($i), $i);
		}
		$self->add_block($extraBlock);
}
1;
